import { EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { Subject } from "rxjs";
import { TranslateLibraryService } from "../../services/translation-registry.service";
import { Logs } from "./comment-log.model";
import * as i0 from "@angular/core";
export declare class QMSComment implements OnInit, OnChanges {
    trans: TranslateLibraryService;
    sourceLog: Logs[];
    updateLog: EventEmitter<any>;
    userId: number;
    LANG: any;
    ngUnsubscribe: Subject<void>;
    constructor(trans: TranslateLibraryService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    showContent(content: any): any;
    editContent(item: Logs): void;
    saveEditedContent(item: Logs): void;
    removeItem(item: Logs): void;
    regretItem(item: Logs): void;
    checkInvalidContent(item: Logs): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSComment, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSComment, "qms-comment", never, { "sourceLog": { "alias": "sourceLog"; "required": false; }; "userId": { "alias": "userId"; "required": false; }; }, { "updateLog": "updateLog"; }, never, never, false, never>;
}
